export function getSpaceDoc(doc: Doc | null | undefined): Doc | null | undefined;
export function isPlainObject(obj: any): boolean;
export function combineDocSignatureConfig(signatureConfig: {
    [key: string]: any;
} | null | undefined, anotherSignatureConfig?: {
    [key: string]: any;
}): {
    [key: string]: any;
};
export function getDefaultDocSignatureConfig(): {
    [key: string]: any;
};
export function getSignatureLevelConfig(doc: Doc, levelOne: string, levelTwo: string, levelThree?: string | undefined): any;
export function getSpaceDocSignatureConfig(doc: Doc | null | undefined): {
    [key: string]: any;
};
export function getItemOffsetSignal(item: Item, offset?: number, needContent?: boolean): string;
export function getAtomicItemHash(item: Item | GC | Skip, offset?: number): string;
export function getAllAtomicItemHash(item: Item | GC): Array<string>;
export function getItemSignal(item: Item, offset?: number | undefined | 'array' | 'string', needContent?: boolean): Array<string> | string;
export function isAtomicItem(item: Item): boolean;
export function getSecretKeys(doc: Doc, item: Item, signatory: string, type: number, bit?: number | undefined, secretKeysId?: string | undefined): YMap<any> | null;
export function changeSignatureVerify(signature: BasicSignature, verifyResult: boolean): void;
export function signDoc(doc: Doc, retStep: number, progressCallback: (data: {
    [key: string]: any;
}) => void): void;
import { Doc } from "../Doc";
import { Item } from "../../structs/Item";
import { GC } from "../../structs/GC";
import { Skip } from "../../structs/Skip";
import { YMap } from "../../types/YMap";
import { BasicSignature } from "./signature";
